Public Member Functions | Protected Attributes

# LinkGraph::EdgeWrapper< Tedge > Class Template Reference

Wrapper for an edge (const or not) allowing retrieval, but no modification. More...

`#include <linkgraph.h>`

Inheritance diagram for LinkGraph::EdgeWrapper< Tedge >:

## Public Member Functions
| EdgeWrapper (Tedge &edge)
| Wrap a an edge.
uint | Capacity () const
| Get edge's capacity.
uint | Usage () const
| Get edge's usage.
uint | Distance () const
| Get edge's distance.
Date | LastUpdate () const
| Get edge's last update.
## Protected Attributes
Tedge & | edge
| Actual edge to be used.

## Detailed Description

### template<typename Tedge>
class LinkGraph::EdgeWrapper< Tedge >

Wrapper for an edge (const or not) allowing retrieval, but no modification.

Template Parameters:

  | Tedge | Actual edge class, may be "const BaseEdge" or just "BaseEdge".

Definition at line 76 of file linkgraph.h.

## Constructor & Destructor Documentation

template<typename Tedge>

LinkGraph::EdgeWrapper< Tedge >::EdgeWrapper | ( | Tedge & | edge | ) | `[inline]`

Wrap a an edge.

Parameters:

  | edge | Edge to be wrapped.

Definition at line 86 of file linkgraph.h.

## Member Function Documentation

template<typename Tedge>

uint LinkGraph::EdgeWrapper< Tedge >::Capacity | ( |  | ) | const`[inline]`

Get edge's capacity.

Returns:
  Capacity.

Definition at line 92 of file linkgraph.h.

Referenced by Path::AddFlow(), LinkGraphOverlay::AddLinks(), and MultiCommodityFlow::Dijkstra().

template<typename Tedge>

uint LinkGraph::EdgeWrapper< Tedge >::Distance | ( |  | ) | const`[inline]`

Get edge's distance.

Returns:
  Distance.

Definition at line 104 of file linkgraph.h.

Referenced by MultiCommodityFlow::Dijkstra().

template<typename Tedge>

Date LinkGraph::EdgeWrapper< Tedge >::LastUpdate | ( |  | ) | const`[inline]`

Get edge's last update.

Returns:
  Last update.

Definition at line 110 of file linkgraph.h.

Referenced by DeleteStaleLinks().

template<typename Tedge>

uint LinkGraph::EdgeWrapper< Tedge >::Usage | ( |  | ) | const`[inline]`

Get edge's usage.

Returns:
  Usage.

Definition at line 98 of file linkgraph.h.

Referenced by LinkGraphOverlay::AddLinks().

The documentation for this class was generated from the following file:

- src/linkgraph/linkgraph.h